function f_out = advection_MOL_function(t,U,delta_x,U_a)
% define the function required for method of lines for the upwind
% scheme for the advection scheme

n_x = size(U);
f_out = zeros(n_x);

for j=1:n_x
    x = (j-1)*delta_x;
    c_tx = (1+x^2)/(1+2*x*t+2*x^2+x^4);
    if j==1
        f_out(j) = -U_a;
    else
        f_out(j) = -c_tx*(U(j) - U(j-1))/delta_x;
    end
end
